Name:		linphone-desktop
Version:	4.2.5
Release:	%mkrel 1
Summary:	Voice over IP Application
License:	GPLv2+
Group:		Communications/Telephony
URL:		http://www.linphone.org
Source0:	https://github.com/BelledonneCommunications/linphone-desktop/archive/%{version}/linphone-desktop-%{version}.tar.gz
Patch1:		0001-Don-t-build-linphone-sdk.patch
Patch2:		0002-Fix-building-out-of-git.patch
Patch3:		0001-Further-fixes-for-building-out-of-git.patch
BuildRequires:	git-core
BuildRequires:	ninja
BuildRequires:	cmake
BuildRequires:	cmake(Linphone)
BuildRequires:	cmake(Qt5)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Test)
Requires:	mediastreamer >= 1:2.16.1
Requires:	qtdeclarative5
Requires:	qtquickcontrols25
Requires:	qtquickcontrols5
Requires:	qtgraphicaleffects5
Provides:	linphone = %{version}-%{release}
Obsoletes:	linphone < 4.1.1
Obsoletes:	linphoneqt <= 4.2.2

%description
Linphone is a free VoIP and video softphone based on the SIP protocol.

%prep
%autosetup -p1 -Sgit_am

# fool build system a bit to get proper version output with 'linphone -v'
%{_bindir}/git tag -a %{version} -m "%{version}"

%build
%cmake -GNinja \
	-DENABLE_BUILD_VERBOSE:BOOL=ON \
	-DENABLE_UPDATE_CHECK:BOOL=OFF
%cmake_build

sed "/linphone-sdk/d" -i %{_vpath_builddir}/linphone-app/cmake_builder/linphone_package/cmake_install.cmake
sed "s|$(pwd)/%{_vpath_builddir}/OUTPUT|%{_prefix}|" -i %{_vpath_builddir}/cmake_install.cmake

%install
%cmake_install

rm -rf %{buildroot}%{_bindir}/qt.conf

%files
%license LICENSE*
%doc README.md CHANGELOG.md
%{_bindir}/linphone
%{_datadir}/applications/linphone.desktop
%{_iconsdir}/hicolor/*/apps/linphone.{png,svg}
%{_datadir}/linphone/


%changelog
* Sat Dec 19 2020 wally <wally> 4.2.5-1.mga8
+ Revision: 1661360
- new version 4.2.5

* Thu Dec 17 2020 umeabot <umeabot> 4.2.4-2.mga8
+ Revision: 1658958
- Rebuild for new Qt5

* Mon Nov 23 2020 wally <wally> 4.2.4-1.mga8
+ Revision: 1648782
- new version 4.2.4
- rediff P1

* Tue Oct 20 2020 wally <wally> 4.2.3-1.mga8
+ Revision: 1637394
- new version 4.2.3

* Sat Oct 03 2020 wally <wally> 4.2.2-1.mga8
+ Revision: 1632061
- rename as linphone-desktop
- new version 4.2.2
- add patches via Arch to build without linphone-sdk

* Sat Feb 15 2020 daviddavid <daviddavid> 4.1.1-7.mga8
+ Revision: 1525741
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 4.1.1-6.mga7
+ Revision: 1383207
- Qt5 Rebuild

* Sun Nov 18 2018 wally <wally> 4.1.1-5.mga7
+ Revision: 1331060
- add patches from upstream to fix crashes with Qt >= 5.11 (mga#23854)

* Sat Sep 08 2018 wally <wally> 4.1.1-4.mga7
+ Revision: 1257841
- rebuild for aarch64

* Mon Jan 01 2018 wally <wally> 4.1.1-3.mga7
+ Revision: 1188877
- add more Qt5 requires

* Mon Jan 01 2018 wally <wally> 4.1.1-2.mga7
+ Revision: 1188871
- add Qt5 requires

* Mon Jan 01 2018 wally <wally> 4.1.1-1.mga7
+ Revision: 1188854
- obsolete old GTK based linphone
- imported package linphoneqt

